<?php
require_once 'db.php';

function updateRTLink( $link) {
    global $conn;
    $stmt = $conn->prepare("UPDATE RT_link SET link = ? WHERE 1");
    $stmt->bind_param("s", $link);

    return $stmt->execute();
}

$data = json_decode(file_get_contents('php://input'), true);

if (isset($data['link'])) {
 
    $link = $data['link'];

    if (updateRTLink($link)) {
        echo json_encode(['message' => 'supergo used successfully']);
    } else {
        http_response_code(500);
        echo json_encode(['error' => 'Unable to use supergo']);
    }
} else {
    http_response_code(400);
    echo json_encode(['error' => 'User ID is required']);
}

$conn->close();
?>