<?php
include 'db.php'; // Include the database connection

header('Content-Type: application/json');

// Function to process farming claim
function processFarmingClaim($userId) {
    global $conn;
    $userId = $conn->real_escape_string($userId);

    // Fetch user's farming info
    $sql = "SELECT * FROM user_farm WHERE user_id = '$userId'";
    $result = $conn->query($sql);

    if ($result && $result->num_rows > 0) {
        $row = $result->fetch_assoc();
        $farmStatus = $row['farming_status'];
        $nextClaimTime = strtotime($row['next_farm_claim_time']);
        $currentDateTime = time();

        // Check if it's time to claim
        if ($currentDateTime >= $nextClaimTime && $farmStatus == 'farming') {
            // Update farming status to claimable
            $sqlUpdate = "UPDATE user_farm SET farming_status = 'claimable' WHERE user_id = '$userId'";
            if ($conn->query($sqlUpdate) === TRUE) {
                return true;
            } else {
                return false;
            }
        } else {
            return false; // Not yet time to claim or status already claimable
        }
    } else {
        return false; // User farming info not found
    }
}

// Handle POST request
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get input data
    $data = json_decode(file_get_contents('php://input'), true);

    // Validate input
    if (isset($data['user_id'])) {
        $userId = $data['user_id'];
        $claimProcessed = processFarmingClaim($userId);

        if ($claimProcessed) {
            //echo json_encode(['message' => 'Farming claim processed successfully']);
        } else {
            //http_response_code(400);
            //echo json_encode(['error' => 'Unable to process farming claim']);
        }
    } else {
        //http_response_code(400);
        //echo json_encode(['error' => 'User ID is required']);
    }
} else {
    // Method not allowed
    //http_response_code(405);
    //echo json_encode(['error' => 'Method Not Allowed']);
}

//$conn->close();
?>
