<?php
require_once 'db.php';

try {
    // Query to get the total balance of all users
    $query = "SELECT SUM(amount) AS total_balance FROM transactions";
    $result = $conn->query($query);

    if ($result) {
        $row = $result->fetch_assoc();
        $response = [
            'status' => 'success',
            'total_balance' => $row['total_balance']
        ];
    } else {
        $response = [
            'status' => 'error',
            'message' => 'Failed to retrieve total user balance.'
        ];
    }
} catch (Exception $e) {
    $response = [
        'status' => 'error',
        'message' => 'Error: ' . $e->getMessage()
    ];
}

echo json_encode($response);

$conn->close();
?>
